Bug 91654 - [Chromium] Recognize textareas and content-editable fields for the IME
Summary: [Chromium] Recognize textareas and content-editable fields for the IME
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nate Chapin
URL:
Keywords:
Depends on:
Blocks: 91648
  Show dependency treegraph
 
Reported: 2012-07-18 12:47 PDT by Peter Beverloo
Modified: 2012-07-23 12:32 PDT (History)
9 users (show)

See Also:


Attachments
patch (1.89 KB, patch)
2012-07-18 14:50 PDT, Nate Chapin
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Beverloo 2012-07-18 12:47:01 PDT
Textareas and elements which are contenteditable should trigger Android's IME functionalities.

Downstream CL:
https://gerrit-int.chromium.org/#change,9991
Comment 1 Adam Barth 2012-07-18 14:25:53 PDT
I think Nate is working on this bug.
Comment 2 Nate Chapin 2012-07-18 14:50:41 PDT
Created attachment 153095 [details]
patch
Comment 3 WebKit Review Bot 2012-07-18 14:54:33 PDT
Please wait for approval from abarth@webkit.org, dglazkov@chromium.org, fishd@chromium.org, jamesr@chromium.org or tkent@chromium.org before submitting, as this patch contains changes to the Chromium public API. See also https://trac.webkit.org/wiki/ChromiumWebKitAPI.
Comment 4 Adam Barth 2012-07-18 15:05:46 PDT
Comment on attachment 153095 [details]
patch

Does this case any trouble for Chrome OS?
Comment 5 Nate Chapin 2012-07-18 15:11:12 PDT
(In reply to comment #4)
> (From update of attachment 153095 [details])
> Does this case any trouble for Chrome OS?

Unless grep failed me, the new enum values should be treated exactly as the previous values were.
Comment 6 WebKit Review Bot 2012-07-18 15:41:17 PDT
Comment on attachment 153095 [details]
patch

Clearing flags on attachment: 153095

Committed r123036: <http://trac.webkit.org/changeset/123036>
Comment 7 WebKit Review Bot 2012-07-18 15:41:37 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Nate Chapin 2012-07-19 10:38:02 PDT
(In reply to comment #7)
> All reviewed patches have been landed.  Closing bug.

Reverted r123036 for reason:

Triggers some DCHECKs in Chromium browser_tests

Committed r123120: <http://trac.webkit.org/changeset/123120>
Comment 9 Adam Barth 2012-07-23 10:42:46 PDT
This should be ready to land again now that we've rolled Chromium DEPS, right?
Comment 10 Nate Chapin 2012-07-23 10:46:06 PDT
(In reply to comment #9)
> This should be ready to land again now that we've rolled Chromium DEPS, right?

Yep, I just started a build to double-check locally.
Comment 11 WebKit Review Bot 2012-07-23 12:31:58 PDT
Comment on attachment 153095 [details]
patch

Clearing flags on attachment: 153095

Committed r123361: <http://trac.webkit.org/changeset/123361>
Comment 12 WebKit Review Bot 2012-07-23 12:32:03 PDT
All reviewed patches have been landed.  Closing bug.